package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class DiagnosaOnkologiMorfologiVO extends BaseMasterVO{
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectKategoryDiagnosaFk")
	@Caption(value="Object Kategory Diagnosa")
	private KategoryDiagnosaVO kategoryDiagnosa;
		
	@Column(name = "qDiagnosaOnkologiMorfologi", nullable = true)
	private Integer qDiagnosaOnkologiMorfologi;
	
	@Column(name = "kdDiagnosaOnkologiMorfologi", nullable = true)
	private String kdDiagnosaOnkologiMorfologi;
	
	@Column(name = "struct", nullable = true)
	private String struct;
	
	@Column(name = "namaDiagnosaOnkologiMorfologi", nullable = true)
	private String namaDiagnosaOnkologiMorfologi;

	public KategoryDiagnosaVO getKategoryDiagnosa() {
		return kategoryDiagnosa;
	}

	public void setKategoryDiagnosa(KategoryDiagnosaVO kategoryDiagnosa) {
		this.kategoryDiagnosa = kategoryDiagnosa;
	}

	public Integer getqDiagnosaOnkologiMorfologi() {
		return qDiagnosaOnkologiMorfologi;
	}

	public void setqDiagnosaOnkologiMorfologi(Integer qDiagnosaOnkologiMorfologi) {
		this.qDiagnosaOnkologiMorfologi = qDiagnosaOnkologiMorfologi;
	}

	public String getKdDiagnosaOnkologiMorfologi() {
		return kdDiagnosaOnkologiMorfologi;
	}

	public void setKdDiagnosaOnkologiMorfologi(String kdDiagnosaOnkologiMorfologi) {
		this.kdDiagnosaOnkologiMorfologi = kdDiagnosaOnkologiMorfologi;
	}

	public String getStruct() {
		return struct;
	}

	public void setStruct(String struct) {
		this.struct = struct;
	}

	public String getNamaDiagnosaOnkologiMorfologi() {
		return namaDiagnosaOnkologiMorfologi;
	}

	public void setNamaDiagnosaOnkologiMorfologi(String namaDiagnosaOnkologiMorfologi) {
		this.namaDiagnosaOnkologiMorfologi = namaDiagnosaOnkologiMorfologi;
	}
	
}
